Subject: Re: linux-next: manual merge of the tty tree with the mm tree

From: Andy Shevchenko <[email-masked]>
Date: Fri, 26 Apr 2024 17:51:00 +0300

On Fri, Apr 26, 2024 at 02:55:40PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tty tree got conflicts in:
> 
>   include/linux/kfifo.h
>   lib/kfifo.c
> 
> between commit:
> 
>   a8372870a0ae ("kfifo: don't use "proxy" headers")
> 
> from the mm-nonmm-unstable branch of the mm tree and commit:
> 
>   d52b761e4b1a ("kfifo: add kfifo_dma_out_prepare_mapped()")
> 
> from the tty tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

This is correct fix from my point of view, thank you!

-- 
With Best Regards,
Andy Shevchenko